> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeblast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Alerts (v2)

> Legacy v2 alerts endpoint. Use the v3 endpoint for new integrations.

<Warning>
  This is the legacy **v2** endpoint. New integrations should use [Fetch Alerts (v3)](/api-reference/alerts/fetch-alerts), which adds network/status/date filtering, matched-vs-unmatched fields, and BIN details.
</Warning>


## OpenAPI

````yaml get /api/v2/alerts
openapi: 3.0.1
info:
  title: Chargeblast API
  version: 0.1.0
servers:
  - url: https://api.chargeblast.com
security: []
tags:
  - name: Credit Requests
  - name: Sync Data
  - name: Alerts
  - name: Enrollment
paths:
  /api/v2/alerts:
    get:
      tags:
        - Alerts
      summary: Fetch Alerts
      description: Get all the alerts from your chargeblast account.
      operationId: alerts
      parameters:
        - description: >-
            The type of alerts to filter for, possible values: RDR, CDRN,
            Ethoca, TC40, SAFE
          required: false
          name: filter
          schema:
            nullable: true
            type: string
          in: query
        - name: page
          required: false
          in: query
          schema:
            format: int64
            nullable: true
            type: integer
          description: The starting page of the request. Default value of 1.
        - name: per
          required: false
          in: query
          schema:
            format: int64
            nullable: true
            type: integer
          description: How many objects to request per page. Default value of 10.
        - name: X-API-Key
          required: true
          in: header
          schema:
            type: string
          description: Your API key. Sent in the `X-API-Key` header.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportAPIAlertsResponse'
components:
  schemas:
    ExportAPIAlertsResponse:
      required:
        - alerts
        - page
        - per
        - total
      properties:
        alerts:
          items:
            $ref: '#/components/schemas/ExportAlert'
          type: array
        page:
          type: integer
          format: int64
        per:
          type: integer
          format: int64
        total:
          type: integer
          format: int64
      type: object
    ExportAlert:
      properties:
        provider:
          type: string
          nullable: true
          description: 'Provider associated with the alert. Possible values: ethoca, verifi'
        id:
          type: string
          description: Id for the alert.
        card:
          description: The redacted card number, e.g., 424242****1234.
          type: string
          nullable: true
        issuer:
          type: string
          description: Issuer of the card (e.g., bank or financial institution).
          nullable: true
        invoicedAt:
          description: Date and time when the alert was invoiced.
          format: date-time
          nullable: true
          type: string
        authCode:
          description: Authorization code for the transaction, if available.
          type: string
          nullable: true
        site:
          description: Merchant's website or site string associated with the alert.
          type: string
          nullable: true
        customerEmail:
          nullable: true
          type: string
          description: Customer's email address associated with the alert, if available.
        creditStatus:
          type: string
          nullable: true
          description: Status of the credit (if any) associated with the alert.
        alertType:
          description: Type of alert, e.g., FRAUD, DISPUTE.
          type: string
        creditAppealed:
          type: boolean
          description: Indicates if the credit associated with the alert was appealed.
        currency:
          nullable: true
          type: string
          description: Currency code in ISO format (e.g., USD, EUR) for the transaction.
        reasonCode:
          nullable: true
          description: >-
            Reason code associated with the alert, often indicating the nature
            of the dispute.
          type: string
        createdAt:
          description: Date and time when the alert was created.
          type: string
          format: date-time
        merchantId:
          description: Identifier for the merchant within the system.
          type: string
          nullable: true
        acquirerAction:
          nullable: true
          type: string
          description: >-
            Actions taken by the acquirer in response to the alert. Only
            relevant for RDR and other acquirer side alerts - either Resolved or
            Declined.
        alertId:
          description: >-
            Unique identifier for the alert within the provider's system. Will
            match the id field.
          nullable: true
          type: string
        amount:
          type: number
          description: >-
            Transaction amount for the alert. $139.38 will be represented as
            139.38
          format: double
        resolvedDate:
          description: Date and time when the alert was resolved.
          format: date-time
          nullable: true
          type: string
        resolvedByApi:
          description: Indicates if the alert was resolved via API.
          nullable: true
          type: boolean
        externalOrder:
          description: External charge id related to the alert.
          nullable: true
          type: string
        externalUrl:
          nullable: true
          type: string
          description: URL linking to an external reference for the alert.
        creditNotes:
          type: string
          description: Additional notes or information regarding the credit status.
          nullable: true
        arn:
          description: Acquirer Reference Number, unique identifier for the transaction.
          nullable: true
          type: string
        attributes:
          type: object
          nullable: true
          additionalProperties:
            type: string
          description: >-
            Optional string key-value metadata associated with the alert.
            Included on webhook payloads and when fetching alerts via the API
            when present.
          example:
            order_number: '#1533'
            processor_id: proc_b381c83a9bc8a93
        transactionDate:
          type: string
          description: Date and time when the transaction took place.
          format: date-time
        customerId:
          description: >-
            Unique identifier for the customer associated with the alert, if
            available.
          nullable: true
          type: string
        descriptor:
          description: Billing descriptor shown on the card statement.
          nullable: true
          type: string
        subprovider:
          description: Specific sub-provider within the provider service.
          type: string
        cardBrand:
          type: string
          description: The card network (e.g., Visa, Mastercard, Amex).
          nullable: true
        responseAction:
          description: Response action taken in response to the alert.
          nullable: true
          type: string
      type: object
      description: Export alert details.
      required:
        - alertType
        - amount
        - createdAt
        - creditAppealed
        - id
        - subprovider
        - transactionDate

````